Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Ubuntu 12.04 Plus9 - Problemi aggiornamento
#1
Salve.
Da più di una settimana lanciando i vari comandi di aggiornamento da terminale, mi ritorna, alla fine un messaggio di errore, vedi:
Codice:
apanta@apanta-desktop:~$ sudo apt-get autoremove
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
3 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Configurazione di linux-image-3.2.0-35-generic-pae (3.2.0-35.55)...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postinst line 1010.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--configure):
il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di linux-image-generic-pae:
linux-image-generic-pae dipende da linux-image-3.2.0-35-generic-pae, ma:
  Il pacchetto linux-image-3.2.0-35-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-image-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di linux-generic-pae:
linux-generic-pae dipende da linux-image-generic-pae (= 3.2.0.35.40), ma:
  Il pacchetto linux-image-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                             Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                                                          Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
linux-image-generic-pae
linux-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
apanta@apanta-desktop:~$

Provando da gestore aggiornamento mi ritorna un messaggio di mancata connessione al server canonical:
   

Infine, sembra ci siano problemi anche al grub. Infatti se lancio il programma "grub customizer", mi compaiono le seguenti:
   
   
e di conseguenza non posso verificare nulla.
Lanciando il livecd supergrubdisck, il risultato è lo stesso:unsupported image format
e non riesco a riparare/ripristinare/reinstallare grub. Stranamente, per inciso, la schermata di bootloader funziona bene, dandomi la possibilità di scegliere tra Ubuntu 12.04 plus9 - Mint 14 Mate e WinXP Pro, senza alcun problema.
Domanda: come posso riuscire a fare gli aggiornamenti senza arrecare danno?
Grazie
Andrea
Mint 16 Mate - Precise 12.04 custom - La presunzione di sapere è peggio dell'ignoranza.
Cita messaggio
#2
(27-12-2012, 21:05 )Andrea2 Ha scritto: Salve.
Da più di una settimana lanciando i vari comandi di aggiornamento da terminale, mi ritorna, alla fine un messaggio di errore, vedi:
Codice:
apanta@apanta-desktop:~$ sudo apt-get autoremove
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
3 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Configurazione di linux-image-3.2.0-35-generic-pae (3.2.0-35.55)...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postinst line 1010.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--configure):
il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di linux-image-generic-pae:
linux-image-generic-pae dipende da linux-image-3.2.0-35-generic-pae, ma:
  Il pacchetto linux-image-3.2.0-35-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-image-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di linux-generic-pae:
linux-generic-pae dipende da linux-image-generic-pae (= 3.2.0.35.40), ma:
  Il pacchetto linux-image-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                             Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                                                          Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
linux-image-generic-pae
linux-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
apanta@apanta-desktop:~$

Provando da gestore aggiornamento mi ritorna un messaggio di mancata connessione al server canonical:


Infine, sembra ci siano problemi anche al grub. Infatti se lancio il programma "grub customizer", mi compaiono le seguenti:


e di conseguenza non posso verificare nulla.
Lanciando il livecd supergrubdisck, il risultato è lo stesso:unsupported image format
e non riesco a riparare/ripristinare/reinstallare grub. Stranamente, per inciso, la schermata di bootloader funziona bene, dandomi la possibilità di scegliere tra Ubuntu 12.04 plus9 - Mint 14 Mate e WinXP Pro, senza alcun problema.
Domanda: come posso riuscire a fare gli aggiornamenti senza arrecare danno?
Grazie
Andrea


up
Mint 16 Mate - Precise 12.04 custom - La presunzione di sapere è peggio dell'ignoranza.
Cita messaggio
#3
Un consiglio, derivato da esperienza diretta, lascia stare Grub Customizer. Disabilitarlo e fare aggiornamenti
Cita messaggio
#4
Prova a configurare i pacchetti non correttamente installati così
Codice:
sudo dpkg --configure -a
Cita messaggio
#5
ciao andrea attualmente che kernel hai in uso ( da terminale ):
uname -r
sembra tu abbia problemi con kernel pae
Cita messaggio
#6
(29-12-2012, 21:52 )dxgiusti Ha scritto: ciao andrea attualmente che kernel hai in uso ( da terminale ):
uname -r
sembra tu abbia problemi con kernel pae


@dxgiusti:
il kernel attuale è:3.2.0-34-generic-pae e dovrebbe aggiornarsi al 3.2.0.35, ma non lo fa.



@tumbler:
Codice:
sudo dpkg --configure -a
mi risponde:
Codice:
apanta@apanta-desktop:~$ sudo dpkg --configure -a
[sudo] password for apanta:
Configurazione di linux-image-3.2.0-35-generic-pae (3.2.0-35.55)...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postinst line 1010.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--configure):
il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di linux-image-generic-pae:
linux-image-generic-pae dipende da linux-image-3.2.0-35-generic-pae, ma:
  Il pacchetto linux-image-3.2.0-35-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-image-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di linux-generic-pae:
linux-generic-pae dipende da linux-image-generic-pae (= 3.2.0.35.40), ma:
  Il pacchetto linux-image-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
linux-image-generic-pae
linux-generic-pae
apanta@apanta-desktop:~$

dando invece:
Codice:
sudo apt-get install -f
mi ritorna:
Codice:
apanta@apanta-desktop:~$ sudo apt-get install -f
[sudo] password for apanta:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
3 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Configurazione di linux-image-3.2.0-35-generic-pae (3.2.0-35.55)...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postinst line 1010.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--configure):
il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di linux-image-generic-pae:
linux-image-generic-pae dipende da linux-image-3.2.0-35-generic-pae, ma:
  Il pacchetto linux-image-3.2.0-35-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-image-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
dpkg: problemi con le dipendenze impediscono la configurazione di linux-generic-pae:
linux-generic-pae dipende da linux-image-generic-pae (= 3.2.0.35.40), ma:
  Il pacchetto linux-image-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                             Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                                                          Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
linux-image-generic-pae
linux-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
apanta@apanta-desktop:~$

dando invece:
Codice:
sudo apt-get check
seguito ancora da
Codice:
sudo apt-get -f install

la risposta è:

Codice:
apanta@apanta-desktop:~$ sudo apt-get check
[sudo] password for apanta:
Sorry, try again.
[sudo] password for apanta:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
apanta@apanta-desktop:~$ sudo apt-get -f install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
3 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Configurazione di linux-image-3.2.0-35-generic-pae (3.2.0-35.55)...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postinst line 1010.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--configure):
il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di linux-image-generic-pae:
linux-image-generic-pae dipende da linux-image-3.2.0-35-generic-pae, ma:
  Il pacchetto linux-image-3.2.0-35-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-image-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                             dpkg: problemi con le dipendenze impediscono la configurazione di linux-generic-pae:
linux-generic-pae dipende da linux-image-generic-pae (= 3.2.0.35.40), ma:
  Il pacchetto linux-image-generic-pae non è ancora configurato.
dpkg: errore nell'elaborare linux-generic-pae (--configure):
problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente.
                             Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
linux-image-generic-pae
linux-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
apanta@apanta-desktop:~$

Nell'ultima riga dovrebbe esserci l'errore che impedisce una corretta configurazione.
come fare per rimediare?
Mint 16 Mate - Precise 12.04 custom - La presunzione di sapere è peggio dell'ignoranza.
Cita messaggio
#7
Prova da terminale

Codice:
sudo dpkg --clear-avail

Cita messaggio
#8
(30-12-2012, 08:51 )brunik Ha scritto: Prova da terminale

Codice:
sudo dpkg --clear-avail

Col comando suggerito non mi ritorna alcun messaggio.
Rifatta la procedura di aggiornamento da terminale con esito negativo.
Rifatta la procedura da gestore agg. con esito negativo la risposta è sempre quella dei post precedenti.
In pratica non crea l'immagine del kernel 3.2.0-35 generic pae ed il grub image format è sempre errato.
Mint 16 Mate - Precise 12.04 custom - La presunzione di sapere è peggio dell'ignoranza.
Cita messaggio
#9
Prova a rimuovere il kernel che da problemi

sudo apt-get purge linux-image-3.2.0-35-generic-pae

Poi dai anche

sudo update-grub

Cita messaggio
#10
(30-12-2012, 19:23 )brunik Ha scritto: Prova a rimuovere il kernel che da problemi

sudo apt-get purge linux-image-3.2.0-35-generic-pae

Poi dai anche

sudo update-grub

Codice:
sudo apt-get purge linux-image-3.2.0-35-generic-pae
mi ritorna:
Codice:
apanta@apanta-desktop:~$ sudo apt-get purge linux-image-3.2.0-35-generic-pae
[sudo] password for apanta:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno RIMOSSI:
  linux-generic-pae* linux-image-3.2.0-35-generic-pae*
  linux-image-generic-pae*
0 aggiornati, 0 installati, 3 da rimuovere e 0 non aggiornati.
4 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 113 MB di spazio su disco.
Continuare [S/n]? S
(Lettura del database... 258153 file e directory attualmente installati.)
Rimozione di linux-generic-pae...
Rimozione di linux-image-generic-pae...
Rimozione di linux-image-3.2.0-35-generic-pae...
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
dkms: removing: nvidia-current 295.40 (3.2.0-35-generic-pae) (i686)

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 295.40
Kernel:  3.2.0-35-generic-pae (i686)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia_current.ko:
- Uninstallation
   - Deleting from: /lib/modules/3.2.0-35-generic-pae/updates/dkms/
- Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod......

DKMS: uninstall completed.
dkms: removing: nvidia-current-updates 304.43 (3.2.0-35-generic-pae) (i686)

-------- Uninstall Beginning --------
Module:  nvidia-current-updates
Version: 304.43
Kernel:  3.2.0-35-generic-pae (i686)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia_current_updates.ko:
- Uninstallation
   - Deleting from: /lib/modules/3.2.0-35-generic-pae/updates/dkms/
- Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Deleting /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postrm line 328.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--purge):
il sottoprocesso vecchio script di post-removal ha restituito lo stato di errore 1
Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
apanta@apanta-desktop:~$

Codice:
sudo update-grub

mi ritorna:

Codice:
apanta@apanta-desktop:~$ sudo update-grub
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format

conseguentemente aggiornamenti bloccati e "unsupported grub image format".

edit:
ho provato anche questa:
Codice:
apanta@apanta-desktop:~$ grub> vbeinfo
Il programma "grub" non è attualmente installato.  È possibile installarlo digitando:
sudo apt-get install grub
apanta@apanta-desktop:~$ sudo apt-get install grub
[sudo] password for apanta:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
Pacchetti suggeriti:
  grub-legacy-doc mdadm
I seguenti pacchetti saranno RIMOSSI:
  grub-gfxpayload-lists grub-pc grub2 grub2-common
  linux-image-3.2.0-35-generic-pae
I seguenti pacchetti NUOVI saranno installati:
  grub
0 aggiornati, 1 installati, 5 da rimuovere e 0 non aggiornati.
2 non completamente installati o rimossi.
È necessario scaricare 330 kB di archivi.
Dopo quest'operazione, verranno liberati 113 MB di spazio su disco.
Continuare [S/n]? S
Scaricamento di:1 http://it.archive.ubuntu.com/ubuntu/ precise/main grub i386 0.97-29ubuntu66 [330 kB]
Recuperati 330 kB in 0s (392 kB/s)
Preconfigurazione dei pacchetti in corso
(Lettura del database... 253770 file e directory attualmente installati.)
Rimozione di linux-image-3.2.0-35-generic-pae...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
update-initramfs: Deleting /boot/initrd.img-3.2.0-35-generic-pae
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-35-generic-pae /boot/vmlinuz-3.2.0-35-generic-pae
Generating grub.cfg ...
Found background: /etc/default/grub
Unsupported image format
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-35-generic-pae.postrm line 328.
dpkg: errore nell'elaborare linux-image-3.2.0-35-generic-pae (--remove):
il sottoprocesso vecchio script di post-removal ha restituito lo stato di errore 1
Rimozione di grub2...
Rimozione di grub-pc...
Rimozione di grub2-common...
Rimozione di grub-gfxpayload-lists...
Elaborazione dei trigger per man-db...
Elaborazione dei trigger per install-info...
Si sono verificati degli errori nell'elaborazione:
linux-image-3.2.0-35-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
apanta@apanta-desktop:~$

ma niente di nuovo.
Mint 16 Mate - Precise 12.04 custom - La presunzione di sapere è peggio dell'ignoranza.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)